Bug 1504515 - Upgrade failed due to installer try to stop atomic-openshift-master-controllers on etcd host
Summary: Upgrade failed due to installer try to stop atomic-openshift-master-controlle...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cluster Version Operator
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.7.0
Assignee: Russell Teague
QA Contact: liujia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-20 05:11 UTC by liujia
Modified: 2017-11-28 22:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Corrected host group to specify masters group for controller restart.
Clone Of:
Environment:
Last Closed: 2017-11-28 22:18:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Description liujia 2017-10-20 05:11:17 UTC
Description of problem:
Upgrade ocp with dedicated etcd from v3.6 to v3.7, upgrade failed at task [Stop atomic-openshift-master-controllers] due to wrong hosts group.

TASK [Stop atomic-openshift-master-controllers] *****************************************************************************************************************************
fatal: [x.x.x.x]: FAILED! => {"changed": false, "failed": true, "msg": "Could not find the requested service atomic-openshift-master-controllers: host"}
	to retry, use: --limit @/usr/share/ansible/openshift-ansible/playbooks/byo/openshift-cluster/upgrades/v3_7/upgrade.retry

[OSEv3:children]
masters
nodes
etcd
...
[masters]
A
..
[etcd]
B

- name: Cycle all controller services to force new leader election mode
  hosts: oo_etcd_to_config
  gather_facts: no
  tasks:
  - name: Stop {{ openshift.common.service_type }}-master-controllers
    systemd:
      name: "{{ openshift.common.service_type }}-master-controllers"
      state: stopped
  - name: Start {{ openshift.common.service_type }}-master-controllers
    systemd:
      name: "{{ openshift.common.service_type }}-master-controllers"
      state: started


Version-Release number of the following components:
openshift-ansible-3.7.0-0.167.0.git.0.0e34535.el7.noarch
ansible-2.4.1.0-0.1.beta2.el7.noarch

How reproducible:
always

Steps to Reproduce:
1. Install ocp 3.6 with dedicated etcd
2. Upgrade 3.6 to 3.7
3.

Actual results:
Upgrade failed.

Expected results:
Upgrade succeed.

Additional info:
Please attach logs from ansible-playbook with the -vvv flag

Comment 1 Russell Teague 2017-10-23 14:18:49 UTC
Merged: https://github.com/openshift/openshift-ansible/pull/5844

Comment 2 Russell Teague 2017-10-24 13:16:00 UTC
$ git tag --contains 27f062260c5717091786f638fcc31fcc2d4779af
openshift-ansible-3.7.0-0.177.0

Comment 4 liujia 2017-10-26 07:26:57 UTC
Version:
openshift-ansible-3.7.0-0.179.0.git.0.a2641b6.el7.noarch

The issue has been fixed.

Comment 7 errata-xmlrpc 2017-11-28 22:18:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188


Note You need to log in before you can comment on or make changes to this bug.